before_script:
  - apk update
  - apk upgrade
  - apk add --no-cache $PHPIZE_DEPS zip unzip git
  - pecl -q install xdebug
  - docker-php-ext-enable xdebug > /dev/null
  - php -r "copy('https://getcomposer.org/installer', 'composer-setup.php');" && php composer-setup.php && php -r "unlink('composer-setup.php');"
  - php composer.phar install --dev --no-ansi --no-interaction --no-progress --no-scripts --optimize-autoloader
  - php composer.phar require --dev --no-ansi --no-interaction --no-progress --no-scripts --optimize-autoloader phpunit/phpunit
  
# PHP 7.0
test:7.0:
  image: php:7.0-alpine
  script:
    - php vendor/bin/phpunit --configuration phpunit.xml

# PHP 7.1
test:7.1:
  image: php:7.1-alpine
  script:
    - php vendor/bin/phpunit --configuration phpunit.xml

# PHP 7.2
test:7.2:
  image: php:7.2-alpine
  script:
    - php vendor/bin/phpunit --configuration phpunit.xml

# PHP Tests Coverage Report
test:coverage:
  image: php:7.2-alpine
  script:
    - php vendor/bin/phpunit --coverage-text --colors=never